# 8. Mutação: Gerar "RasterMap"

Gerar "RasterMap" para o "Field".

{% hint style="info" %}
O tempo de execução é diferente (de 4s até 5min), depende do número de imagens e da área do campo a processar, e a Assinatura será recebida após a geração bem-sucedida do "RasterMap".
{% endhint %}

{% hint style="danger" %}
Recomendamos o uso do **assíncrono** abordagem para gerar RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_de_satelliteimage_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    nome
    centroid {
      latitude
      longitude
    }
    boundingBox
    geoMaps {
      shortName
      fullName
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/8.-mutacao-gerar-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
